Skip to main content
GET
/
organizations
/
{organization_id}
/
projects
/
{project_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "organization_id": "<string>",
  "subscription_id": "<string>",
  "vendor": "<string>",
  "region": "<string>",
  "title": "<string>",
  "type": "grid",
  "plan": "<string>",
  "timezone": "<string>",
  "default_branch": "<string>",
  "status": "requested",
  "trial_plan": true,
  "project_ui": "<string>",
  "dedicated_tag": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "activities": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "parameters": {},
      "project": "<string>",
      "state": "cancelled",
      "result": "failure",
      "failure_reason": "error",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "completion_percent": 123,
      "cancelled_at": "2023-11-07T05:31:56Z",
      "timings": {},
      "log": "<string>",
      "payload": {},
      "description": "<string>",
      "text": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "commands": [
        {
          "app": "<string>",
          "type": "<string>",
          "exit_code": 123
        }
      ],
      "integration": "<string>",
      "environments": [
        "<string>"
      ]
    }
  ],
  "fastly_service_ids": [
    "<string>"
  ],
  "project_options": {
    "billing": {},
    "defaults": {},
    "enforced": {},
    "initialize": {},
    "plans": [
      "<string>"
    ],
    "regions": [
      "<string>"
    ],
    "plan_titles": {},
    "sellables": {},
    "features": {
      "backups": {}
    },
    "container_sizes": [
      "<string>"
    ],
    "debug": {}
  },
  "_links": {
    "self": {
      "href": "<string>"
    },
    "api": {
      "href": "<string>"
    },
    "subscription": {
      "href": "<string>"
    },
    "view_usage_alerts": {
      "href": "<string>"
    },
    "update": {
      "href": "<string>",
      "method": "<string>"
    },
    "plan_uri": {
      "href": "<string>"
    },
    "delete": {
      "href": "<string>",
      "method": "<string>"
    },
    "update_usage_alerts": {
      "href": "<string>",
      "method": "<string>"
    },
    "activities": {
      "href": "<string>"
    },
    "addons": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

project_id
string
required

The ID of the project.

Response

OK

id
string

The ID of the project.

organization_id
string

The ID of the organization.

subscription_id
string

The ID of the subscription.

vendor
string

Vendor of the project.

region
string

The machine name of the region where the project is located.

title
string

The title of the project.

type
enum<string>

The type of projects.

Available options:
grid,
dedicated
plan
string

The project plan.

timezone
string

Timezone of the project.

default_branch
string

Default branch.

status
enum<string>

The status of the project.

Available options:
requested,
active,
failed,
suspended,
deleted
trial_plan
boolean

Whether the project is currently on a trial plan.

project_ui
string

The URL for the project's user interface.

dedicated_tag
string

Dedicated tag.

created_at
string<date-time>

The date and time when the resource was created.

updated_at
string<date-time>

The date and time when the resource was last updated.

activities
object[] | null

Activities information for the project.

fastly_service_ids
string[] | null

Fastly service IDs for the project.

project_options
object
Last modified on March 25, 2026